#![cfg_attr(
    all(not(debug_assertions), target_os = "windows"),
    windows_subsystem = "windows"
)]
use std::path::PathBuf;
mod folder_crawler;

fn main() {
    tauri::Builder::default()
        .invoke_handler(tauri::generate_handler![load_folders])
        .plugin(tauri_plugin_global_shortcut::Builder::new().build())
        .plugin(tauri_plugin_http::init())
        .plugin(tauri_plugin_os::init())
        .plugin(tauri_plugin_notification::init())
        .plugin(tauri_plugin_clipboard_manager::init())
        .plugin(tauri_plugin_process::init())
        .plugin(tauri_plugin_shell::init())
        .plugin(tauri_plugin_fs::init())
        .plugin(tauri_plugin_dialog::init())
        .run(tauri::generate_context!())
        .expect("error while running tauri application!");
}

#[tauri::command]
fn load_folders(){
    println!("TEST");

    let root = PathBuf::from("C:/Users/Damie/Desktop");
    let crawler = folder_crawler::FolderCrawler::new(root);
    for folder_data in crawler {
        println!("{:?}", folder_data);
    }
}
